# Semester Project

This project is a simple todo list application that allows users to add, edit, and delete tasks.
The application is built using React and is styled using Bootstrap.
The application is hosted on GitLab Pages and can be accessed [here](https://gitlab.com/michael.kuhnel8/react-todo/).

## Available Scripts

In the project directory, you can run:

### `npm start`

Runs the app in the development mode.\
Open [http://localhost:3000](http://localhost:3000) to view it in your browser.

The page will reload when you make changes.\
You may also see any lint errors in the console.

### `npm run build`

Builds the app for production to the `build` folder.\
It correctly bundles React in production mode and optimizes the build for the best performance.

The build is minified and the filenames include the hashes.\
Your app is ready to be deployed!

### Troubleshooting docker container (gitlab ci/cd)

Build the docker container with the following command:

```bash
docker build -t react-todo .
```

Run the docker container with the following command:

```bash
docker run -dt --name react-todo react-todo
```
